明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1875|回复: 1

清问:AddMLine有哪些参数,类型如何?

[复制链接]
发表于 2002-9-15 13:33 | 显示全部楼层 |阅读模式
发表于 2002-9-15 22:46 | 显示全部楼层

你可以查看ACAD对象的相关帮助,详见正文

Creates multiple lines passing through an array of points.

RetVal = object.AddMLine(VertexList)

Object:        ModelSpace Collection, PaperSpace Collection, Block
          The object or objects this method applies to.
VertexList:Variant (array of doubles); input-only
        An array of the 3D WCS coordinates specifying the vertices for the multiline.
RetVal:MLine object
The newly created MLine object.

For example:
Sub Example_AddMLine()
   ' This example adds an Mline in model space

    Dim mLineObj As AcadMLine
    Dim vertexList(0 To 17) As Double
   
    ' Define data for new object
    vertexList(0) = 4: vertexList(1) = 7: vertexList(2) = 0
    vertexList(3) = 5: vertexList(4) = 7: vertexList(5) = 0
    vertexList(6) = 6: vertexList(7) = 7: vertexList(8) = 0

    vertexList(9) = 4: vertexList(10) = 6: vertexList(11) = 0
    vertexList(12) = 5: vertexList(13) = 6: vertexList(14) = 0
    vertexList(15) = 6: vertexList(16) = 6: vertexList(17) = 6

    ' Create the line in model space
    Set mLineObj = ThisDrawing.ModelSpace.AddMLine(vertexList)

    ThisDrawing.Application.ZoomAll
   
    MsgBox "A new MLine has been added to the drawing."

End Sub
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-4-20 00:45 , Processed in 0.236441 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表